Bug 167268 - ATI Drivers cause lockups with xscreensaver.
ATI Drivers cause lockups with xscreensaver.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-31 23:36 EDT by redhat admin
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 11:40:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description redhat admin 2005-08-31 23:36:36 EDT
Description of problem:

While not specifically a "Fedora" issue I thought I'd alert you guys to this one.

I have the latest ATI opengl drivers from LIVNA repository;

kernel-module-fglrx-2.6.12-1.1447_FC4smp-8.16.20.1-0.lvn.1.4
ati-fglrx-8.16.20.1-0.lvn.1.4
fglrx_6_8_0-8.14.13-1

When I lock my screen, the screensavers work perfectly, but when I try and
unlock the screen, by typing my password, the system locks up. It is not
pingable and I cant change to a VT.

PS - this was also the case on the older version of the drivers and the older
kernel.


Version-Release number of selected component (if applicable):


How reproducible:

Easily.

Steps to Reproduce:
1. Install ATI drivers
2. lock screen, 
3. try and unlock.
  
Actual results:

Machines locks up.

Expected results:

Access to machine is granted.

Additional info:
Comment 1 Ray Strode [halfline] 2005-09-01 09:09:04 EDT
Hi,

I don't think there is much we can do if this is being caused by an unsupported
driver.

Does it happen if you don't use the livna ati drivers?
Comment 2 redhat admin 2005-09-01 18:34:11 EDT
Correct, however, I forgot to mention that the screensavers work perfectly in
'Demo' or 'Preview' mode of xscreensaver. So I'd suggest that maybe the problem
is with the "password input dialog"/"screen unlocking" part of the xscreensaver
code ?

No it doesnt happen without the livna ati drivers.
Comment 3 Christian Iseli 2007-01-22 05:40:00 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 Ray Strode [halfline] 2007-08-14 11:40:54 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)

Note You need to log in before you can comment on or make changes to this bug.